<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/container_linearLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:minHeight="80dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/font_button"
                    style="@style/font_notosans_r_11sp_000000"
                    android:layout_width="match_parent"
                    android:layout_height="38dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    android:background="@drawable/button_rectangle_bg"
                    android:text="FONT TEST"
                    android:textColor="@drawable/button_rectangle_text" />
            </LinearLayout>

            <!-- Background Color Spinner -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_r_13sp_grey01"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="30dp"
                    android:layout_weight="1"
                    android:text="BackgroundColor" />

                <Spinner
                    android:id="@+id/spinner"
                    android:layout_width="match_parent"
                    android:layout_height="34dp"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="30dp"
                    android:layout_weight="1"
                    android:background="@null"
                    android:elevation="0dp" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />

            <!-- Task -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_r_13sp_grey01"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:paddingLeft="20dp"
                    android:text="Task Elevation" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/minusTask_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="-" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/elevationTask_textView"
                    style="@style/font_notosans_r_15sp_grey18"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="0" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/plusTask_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="+" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />
            <!-- Task List -->
            <LinearLayout
                android:id="@+id/task_linearLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="4dp"
                android:layout_marginLeft="9dp"
                android:layout_marginRight="9dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/box_rounded_task_bg"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="12dp"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <!-- Due Date -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="12dp"
                            android:layout_marginTop="10dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <kr.co.hanwha.hifive.view.FontTextView
                                android:id="@+id/dueDate_textView"
                                style="@style/font_notosans_r_13sp_red06"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="0"
                                android:minHeight="21dp"
                                android:text="3일 남음" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_weight="1" />

                            <kr.co.hanwha.hifive.view.HFEvaluationStarListView
                                android:id="@+id/evaluationStarListView"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:visibility="visible" />
                        </LinearLayout>

                        <!-- TASK 명 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:orientation="horizontal">

                            <kr.co.hanwha.hifive.view.FontTextView
                                android:id="@+id/title_textView"
                                style="@style/font_notosans_r_16sp_grey01"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1"
                                android:ellipsize="end"
                                android:maxLines="1"
                                android:minHeight="23dp"
                                android:text="부수 업무 프로세스 확인 및 담당부서 협의" />

                            <View
                                android:id="@+id/titleMargin_view"
                                android:layout_width="53dp"
                                android:layout_height="1dp"
                                android:visibility="gone" />
                        </LinearLayout>

                        <!-- 보낸 사람 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="5dp"
                            android:layout_marginTop="4dp"
                            android:gravity="center_vertical"
                            android:minHeight="17dp"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:id="@+id/authorName_linearLayout"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <kr.co.hanwha.hifive.view.FontTextView
                                    android:id="@+id/authorName_textView"
                                    style="@style/font_notosans_r_12sp_grey03"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="0"
                                    android:text="한똘똘"
                                    android:visibility="visible" />

                                <kr.co.hanwha.hifive.view.FontTextView
                                    style="@style/font_notosans_r_12sp_grey03"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="3dp"
                                    android:layout_weight="0"
                                    android:text="@string/main_home_from" />
                            </LinearLayout>

                            <kr.co.hanwha.hifive.view.FontTextView
                                android:id="@+id/myTask_textView"
                                style="@style/font_notosans_r_12sp_grey03"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="0"
                                android:text="@string/main_home_my_task"
                                android:visibility="gone" />
                        </LinearLayout>
                    </LinearLayout>

                    <ImageButton
                        android:id="@+id/checkToday_imageButton"
                        android:layout_width="53dp"
                        android:layout_height="53dp"
                        android:layout_weight="0"
                        android:background="@null"
                        android:paddingBottom="23dp"
                        android:paddingLeft="23dp"
                        android:paddingRight="12dp"
                        android:paddingTop="12dp"
                        android:scaleType="fitCenter"
                        android:src="@drawable/button_main_check"
                        android:visibility="gone" />
                </LinearLayout>

                <!-- Log -->
                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/log_textView"
                    style="@style/font_notosans_r_11sp_grey03"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="12dp"
                    android:layout_marginRight="12dp"
                    android:layout_marginTop="10dp"
                    android:ellipsize="end"
                    android:text=""
                    android:visibility="gone" />
                <!-- Margin -->
                <View
                    android:layout_width="match_parent"
                    android:layout_height="10dp" />

                <LinearLayout
                    android:id="@+id/action_linearLayout"
                    android:layout_width="match_parent"
                    android:layout_height="46.5dp"
                    android:background="@drawable/box_rounded_task_bottom_bg"
                    android:orientation="vertical"
                    android:paddingLeft="12dp"
                    android:visibility="visible">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:background="@color/hf_grey20" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <kr.co.hanwha.hifive.view.FontTextView
                            style="@style/font_notosans_r_13sp_grey18"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0"
                            android:text="@string/task_main_message" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <kr.co.hanwha.hifive.view.FontTextView
                            android:id="@+id/reject_textView"
                            style="@style/font_notosans_r_13sp_grey02"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0"
                            android:gravity="center"
                            android:minHeight="46dp"
                            android:minWidth="55dp"
                            android:text="@string/task_main_reject" />

                        <kr.co.hanwha.hifive.view.FontTextView
                            android:id="@+id/accept_textView"
                            style="@style/font_notosans_r_13sp_grey02"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0"
                            android:gravity="center"
                            android:minHeight="46dp"
                            android:minWidth="55dp"
                            android:text="@string/task_main_accept" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/hf_grey22" />
            <!-- Unit -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_r_13sp_grey01"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:paddingLeft="20dp"
                    android:text="Unit Elevation" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/minusUnit_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="-" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/elevationUnit_textView"
                    style="@style/font_notosans_r_15sp_grey18"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="0" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/plusUnit_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="+" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />
            <!-- Unit item -->
            <LinearLayout
                android:id="@+id/unit_linearLayout"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:background="@drawable/circle_project_evaluation_green"
                android:duplicateParentState="true"
                android:elevation="0dp"
                android:gravity="center_vertical"
                android:minHeight="100dp"
                android:minWidth="100dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <View
                        android:id="@+id/status_view"
                        android:layout_width="9dp"
                        android:layout_height="9dp"
                        android:background="@drawable/circle_project_grid_status_green"
                        android:visibility="visible" />

                    <View
                        android:id="@+id/status2_view"
                        android:layout_width="9dp"
                        android:layout_height="9dp"
                        android:layout_marginLeft="4.5dp"
                        android:background="@drawable/circle_project_grid_status_yellow"
                        android:visibility="gone" />
                </LinearLayout>

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/project_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:text="우주최강개발팀" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/member_textView"
                    style="@style/font_notosans_r_12sp_grey18"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:text="한똘똘, 강냉이" />
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/hf_grey22" />
            <!-- Issue -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_r_13sp_grey01"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:paddingLeft="20dp"
                    android:text="Issue Elevation" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/minusIssue_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="-" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/elevationIssue_textView"
                    style="@style/font_notosans_r_15sp_grey18"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="0" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/plusIssue_textView"
                    style="@style/font_notosans_b_18sp_grey02"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_weight="0"
                    android:gravity="center"
                    android:text="+" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />
            <!-- Issue Item -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="40dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/issueTop_linearLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/main_unit_header_margin_left"
                        android:background="@drawable/box_rounded_campaign_bg_red_top"
                        android:elevation="@dimen/main_unit_issue_elevation"
                        android:gravity="center_vertical"
                        android:minHeight="@dimen/main_unit_item_track_min_height"
                        android:orientation="vertical"
                        android:paddingBottom="14dp"
                        android:paddingLeft="16dp"
                        android:paddingRight="16dp"
                        android:paddingTop="14dp">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <kr.co.hanwha.hifive.view.FontTextView
                                style="@style/font_notosans_b_14sp_white"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="0"
                                android:gravity="center"
                                android:text="@string/main_project_issue_title" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_weight="1" />

                            <LinearLayout
                                android:id="@+id/issueAdd_linearLayout"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_weight="0"
                                android:gravity="center_vertical"
                                android:orientation="horizontal"
                                android:paddingLeft="10dp"
                                android:visibility="gone">

                                <ImageView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginRight="5dp"
                                    android:src="@mipmap/ic_plus_circle" />

                                <kr.co.hanwha.hifive.view.FontTextView
                                    style="@style/font_notosans_b_13sp_white"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@string/main_project_issue_add" />
                            </LinearLayout>
                        </LinearLayout>

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/hf_grey21"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/issueBottom_linearLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/main_unit_header_margin_left"
                        android:background="@drawable/box_rounded_campaign_bg_red_bottom"
                        android:elevation="@dimen/main_unit_issue_elevation"
                        android:minHeight="35dp"
                        android:orientation="vertical"
                        android:paddingBottom="18dp"
                        android:paddingLeft="16dp"
                        android:paddingRight="16dp"
                        android:paddingTop="0dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:minHeight="17dp"
                            android:orientation="vertical" />
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="30dp" />
                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="20dp" />
        </LinearLayout>
    </ScrollView>

</LinearLayout>